{
  "name": "client",
  "private": true,
  "version": "0.1.0",
  "scripts": {
    "start": "vite",
    "build": "tsc && vite build",
    "build:local": "tsc && vite build && sh localdeploy.sh",
    "preview": "vite preview",
    "typecheck": "tsc --noEmit",
    "codegen": "sh codegen.sh",
    "lint": "eslint --cache . --ext .js,.ts,.tsx",
    "lint:fix": "npm run lint -- --fix"
  },
  "dependencies": {
    "@reduxjs/toolkit": "^1.8.3",
    "@testing-library/jest-dom": "^5.16.4",
    "@testing-library/react": "^13.3.0",
    "@testing-library/user-event": "^14.2.1",
    "@types/jest": "^27.5.2",
    "@types/node": "^17.0.45",
    "@types/react": "^18.0.14",
    "@types/react-dom": "^18.0.6",
    "@types/react-router-dom": "^5.3.3",
    "@types/redux-mock-store": "^1.0.3",
    "axios": "^0.27.2",
    "eslint-plugin-prefer-arrow": "^1.2.3",
    "i18next": "^21.10.0",
    "lodash": "^4.17.21",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "react-google-recaptcha-v3": "^1.10.0",
    "react-i18next": "^11.18.6",
    "react-paginate": "^8.1.3",
    "react-redux": "^8.0.2",
    "react-router-dom": "^6.4.1",
    "redux-mock-store": "^1.5.4",
    "redux-thunk": "^2.4.1",
    "styled-components": "^5.3.5",
    "typescript": "^4.7.4",
    "web-vitals": "^2.1.4"
  },
  "devDependencies": {
    "@babel/core": "^7.18.6",
    "@mdx-js/react": "^2.1.2",
    "@openapitools/openapi-generator-cli": "^2.5.1",
    "@types/lodash": "^4.14.191",
    "@types/react": "^18.0.0",
    "@types/react-dom": "^18.0.0",
    "@types/redux-mock-store": "^1.0.3",
    "@types/styled-components": "^5.1.25",
    "@typescript-eslint/eslint-plugin": "^5.30.5",
    "@typescript-eslint/parser": "^5.30.5",
    "@vitejs/plugin-react": "^1.3.0",
    "babel-loader": "^8.2.5",
    "eslint": "^8.19.0",
    "eslint-config-airbnb": "^19.0.4",
    "eslint-config-prettier": "^8.5.0",
    "eslint-plugin-import": "^2.26.0",
    "eslint-plugin-jsx-a11y": "^6.6.0",
    "eslint-plugin-prettier": "^4.2.1",
    "eslint-plugin-react": "^7.30.1",
    "eslint-plugin-react-hooks": "^4.6.0",
    "license-checker": "^25.0.1",
    "prettier": "^2.7.1",
    "redux-mock-store": "^1.5.4",
    "typescript": "^4.7.4",
    "vite": "^2.9.9",
    "vite-plugin-env-compatible": "^1.1.1",
    "vite-tsconfig-paths": "^3.5.0"
  },
  "eslintConfig": {
    "extends": [
      "react-app",
      "react-app/jest"
    ],
    "overrides": [
      {
        "files": [
          "**/*.stories.*"
        ],
        "rules": {
          "import/no-anonymous-default-export": "off"
        }
      }
    ]
  }
}
